io.vertx.micrometer.backends

## Class BackendRegistries

- java.lang.Object
- - io.vertx.micrometer.backends.BackendRegistries

-     public final class BackendRegistries
      extends Object

  `BackendRegistries` is responsible for managing registries related to particular micrometer backends (influxdb, prometheus...) It contains a store of `BackendRegistry` objects, each of whose encapsulating a micrometer's `MeterRegistry`
  Author:
    Joel Takvorian

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static io.micrometer.core.instrument.MeterRegistry` | `getDefaultNow()` Get the default micrometer registry.
    `static io.micrometer.core.instrument.MeterRegistry` | `getNow(String registryName)` Get the micrometer registry of the given name.
    `static void` | `registerMatchers(io.micrometer.core.instrument.MeterRegistry registry, Set<Label> enabledLabels, List<Match> matches)`
    `static BackendRegistry` | `setupBackend(MicrometerMetricsOptions options)` Create a new backend registry, containing a micrometer registry, initialized with the provided options.
    `static void` | `stop(String registryName)` Stop (unregister) the backend registry of the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setupBackend

          public static BackendRegistry setupBackend(MicrometerMetricsOptions options)

      Create a new backend registry, containing a micrometer registry, initialized with the provided options. If a registry already exists with the associated name, it is just returned without any effect.
      Parameters:
        `options` - micrometer options, including configuration related to the backend. Should be a subclass of `MicrometerMetricsOptions` (ex: `VertxInfluxDbOptions`, `VertxPrometheusOptions`). If the class is not recognized, a `NoopBackendRegistry` will be returned.
      Returns:
        the created (or existing) `BackendRegistry`

    - #### getDefaultNow

          public static io.micrometer.core.instrument.MeterRegistry getDefaultNow()

      Get the default micrometer registry. May return `null` if it hasn't been registered yet or if it has been stopped.
      Returns:
        the micrometer registry or `null`

    - #### getNow

          public static io.micrometer.core.instrument.MeterRegistry getNow(String registryName)

      Get the micrometer registry of the given name. May return `null` if it hasn't been registered yet or if it has been stopped.
      Parameters:
        `registryName` - the name associated with this registry in Micrometer options
      Returns:
        the micrometer registry or `null`

    - #### stop

          public static void stop(String registryName)

      Stop (unregister) the backend registry of the given name. Any resource started by this backend registry will be released (like running HTTP server)
      Parameters:
        `registryName` - the name associated with this registry in Micrometer options

    - #### registerMatchers

          public static void registerMatchers(io.micrometer.core.instrument.MeterRegistry registry,
                                              Set<Label> enabledLabels,
                                              List<Match> matches)

Copyright © 2024 Eclipse. All rights reserved.